from PyQt5.QtWidgets import QApplication, QDialog,\
    QLCDNumber,QPushButton ,QVBoxLayout
import sys
from PyQt5.QtGui import QIcon, QFont
from random import randint






class Window(QDialog):
    def __init__(self):
        super().__init__()

        # window requrements like geometry,icon and title
        self.setGeometry(200,200,400,200)
        self.setWindowTitle("PyQt5 QLCDNumber")
        self.setWindowIcon(QIcon("python.png"))

        # vbox layout object
        vbox = QVBoxLayout()

        # create QLCDNumber object
        self.lcd = QLCDNumber()

        # give background color for the lcd number
        self.lcd.setStyleSheet('background-color:yellow')
        vbox.addWidget(self.lcd)

        #this is our button with the stylesheet
        self.button = QPushButton("Create Random Number")
        self.button.setStyleSheet('background-color:yellow')
        self.button.setFont(QFont("Sanserif", 14))
        self.button.clicked.connect(self.rand_generator)
        vbox.addWidget(self.button)

        self.setLayout(vbox)

    def rand_generator(self):

        #create random number between 1 and 300
        random = randint(1, 300)
        self.lcd.display(random)


App = QApplication(sys.argv)
window = Window()
window.show()
sys.exit(App.exec())